#!/bin/bash

# 判断 /stable-diffusion-webui 目录是否存在
if [ ! -d "/stable-diffusion-webui" ]; then
  echo "创建 /stable-diffusion-webui 目录"
  mkdir /stable-diffusion-webui -p
  chown webui:webui -R /stable-diffusion-webui/
fi

# 判断 /stable-diffusion-webui 目录下是否有文件

if [ ! "$(ls -A /stable-diffusion-webui)" ]; then
    echo "################################################################"
    echo "正在准备拉取文件,文件大小10G, 预计10分钟左右,请稍等..."
    echo "################################################################"
    cd /
    # wget ${OSS_URL:-"https://rainbond-pkg.oss-cn-shanghai.aliyuncs.com/rainstore/stable-diffusion-webui.tar.gz"}
    wget https://rainbond-pkg.oss-cn-shanghai.aliyuncs.com/rainstore/stable-diffusion-webui-v15.tar.gz
    tar -zxvf stable-diffusion-webui-v15.tar.gz -C /
    echo "################################################################"
    echo "文件准备完成"
    echo "################################################################"
fi

echo "启动服务"
# CPU 启动
# su - webui -s /bin/bash -c "/stable-diffusion-webui/webui.sh --precision full --no-half --listen --skip-torch-cuda-test"
# GPU启动
su - webui -s /bin/bash -c "/stable-diffusion-webui/webui.sh --precision full --no-half --listen"